# Задания

### 1.1 BIOS
Включите машину с названием `bios`. Загрузите debian, загрузите ubuntu.

### 1.2 BIOS
Повторите операцию, выбрав в BIOS диск для загрузки в ручную. 

### 1.3 BIOS
Поменяйте порядок загрузки в BIOS.

### 2.1 UEFI
Включите машину с названием `uefi`. Загрузите debian, загрузите ubuntu.

### 2.2 UEFI
Поменяйте порядок загрузки в UEFI графической консоли.

### 2.3 UEFI
Поменяйте порядок загрузки в UEFI терминале `efi shell`. Изучите команды и файловые системы FS0:, FS1:, FS2:. 

### 2.4 UEFI
Поменяйте порядок загрузки с помощью команды `efibootmgr` из операционной системы. Изучите директорию `/boot/efi`. 

### 3.1 GRUB
В машине с названием `uefi`. Загрузите debian, загрузите ubuntu.

### 3.2 GRUB
Поменяйте порядок загрузки операционных систем.

### 3.3 GRUB
Настройте GRUB на ожидание 15 секунд перед загрузкой операционной системы по умолчанию, если никакая клавиша не нажата.

### 3.3 GRUB
Добавьте опцию в меню, которая загружает ОС в single-user mode (с параметром single).


### Доп. задание - Настроить PXE boot 
Используйте мост vmbrX+ваш id для сетевого интерфейса. Используйте шлюз 192.168.1.1 для доступа в интернет.


# Источники

## Релевантные веб источники

1. https://0xax.gitbooks.io/linux-insides/content/Initialization/
2. http://www.collados.cat/asix1/m01/tu1/m01tu01pr12.php
3. https://learning.lpi.org/en/learning-materials/101-500/102/102.2/102.2_01/
4. https://www.linux-magazine.com/Online/Features/Coping-with-the-UEFI-Boot-Process
5. http://www.rodsbooks.com/gdisk/mbr2gpt.html
6. https://www.youtube.com/watch?v=Q3rssfwxcyA
7. https://www.youtube.com/watch?v=7D4qiFIosWk
8. https://www.happyassassin.net/posts/2014/01/25/uefi-boot-how-does-that-actually-work-then/
8. https://linuxhint.com/use-uefi-interactive-shell-and-its-common-commands/
9. https://docs.nvidia.com/networking/m/view-rendered-page.action?abstractPageId=25139424
10. https://help.ubuntu.com/community/Grub2

## Релевантные главы в книгах

1. Evi Nemeth, Garth Snyder, Trent R. Hein, Ben Whaley, Dan Macking. Unix Handbook. 2 Chapter. (117 page ebook).
2. Raphael Hertzog, Roland Mas. The Debian Administrators's Handbook. 9 Chapter (233 page ebook).
3. Michael W. Lucas. Absolute FreeBSD. 4 chapter (103 page ebook)